VREDeploymentPresenter (VRE Manager Portlet 3.0.0-SNAPSHOT API)
Date: 2013-10-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.vredeployment.client.presenter
Class VREDeploymentPresenter

    java.lang.Object
      org.gcube.portlets.admin.vredeployment.client.presenter.VREDeploymentPresenter

All Implemented Interfaces:
  Presenter

    public class VREDeploymentPresenter

extends Object
implements Presenter

Author:
  Massimiliano Assante (assante@isti.cnr.it)

Constructor Summary
`VREDeploymentPresenter(VREDeploymentServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus, Display display)`

Method Summary
`void` | `bind()`
`void` | `getUrl()` Get URL from browser
`void` | `go(com.google.gwt.user.client.ui.HasWidgets container)` go method
`void` | `loadDefinition()` Redirect to VRE Definition Portlet
`void` | `loadDeployer()` Redirect to VRE Deployer Portlet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VREDeploymentPresenter

    public VREDeploymentPresenter(VREDeploymentServiceAsync rpcService,
                                  com.google.gwt.event.shared.HandlerManager eventBus,
                                  Display display)

Parameters:
  `rpcService` -
  `eventBus` -
  `display` -

Method Detail

### bind

    public void bind()

### go

    public void go(com.google.gwt.user.client.ui.HasWidgets container)

  go method

  Specified by:
    `go` in interface `Presenter`

### loadDeployer

    public void loadDeployer()

  Redirect to VRE Deployer Portlet

### loadDefinition

    public void loadDefinition()

  Redirect to VRE Definition Portlet

### getUrl

    public void getUrl()

  Get URL from browser

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.